## streamlink 7.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
DOCSDIR       = .
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/streamlink.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/streamlink.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/streamlink"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/streamlink"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) -t man $(DOCSDIR) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(DOCSDIR) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
streamlink (7.6.0-2) unstable; urgency=medium

  * d/patches: fix docutils errors and warning (Closes: #1118304)

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 23 Oct 2025 22:25:54 +0200

streamlink (7.6.0-1) unstable; urgency=medium

  * New upstream version 7.6.0

 -- Alexis Murzeau <amubtdx@gmail.com>  Mon, 15 Sep 2025 19:46:31 +0200

=== debian/control ===
Source: streamlink
Maintainer: Alexis Murzeau <amubtdx@gmail.com>
Section: python
Priority: optional
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3,
 pybuild-plugin-pyproject,
# Streamlink dependencies
# https://streamlink.github.io/install.html#dependencies
 python3-setuptools,
 python3-wheel,
 python3-certifi,
 python3-isodate,
 python3-lxml,
 python3-pycountry,
 python3-pycryptodome,
 python3-socks,
 python3-requests,
 python3-trio,
 python3-trio-websocket,
 python3-urllib3,
 python3-websocket,
# Documentation dependencies
 python3-docutils,
 python3-myst-parser,
 python3-sphinx,
 furo,
 python3-sphinx-design,
 jdupes,
# Tests dependencies
 python3-freezegun,
 python3-pytest,
 python3-pytest-trio,
 python3-requests-mock
Homepage: https://streamlink.github.io/
Vcs-Git: https://salsa.debian.org/amurzeau/streamlink.git
Vcs-Browser: https://salsa.debian.org/amurzeau/streamlink
Rules-Requires-Root: no

Package: python3-streamlink
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends}
Recommends: ffmpeg
Suggests: streamlink,
 python3-streamlink-doc,
# Used for decompressing HTTP responses. Needed for euronews for example.
# See also: https://github.com/streamlink/streamlink/pull/6452
 python3-brotli,
 python3-zstandard
Description: Python module for extracting video streams from various websites
 Streamlink is a CLI utility which pipes video streams from various services
 into a video player, such as VLC.
 The main purpose of streamlink is to avoid resource-heavy and unoptimized
 websites, while still allowing the user to enjoy various streamed content.
 .
 Streamlink is a fork of the Livestreamer project.
 .
 Please consider donating or paying for subscription services when they are
 available for the content you consume and enjoy.
 .
 This package makes Streamlink APIs accessible in Python 3.

Package: python3-streamlink-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
  ${misc:Depends},
  fonts-fork-awesome
Suggests: python3-streamlink
Description: CLI for extracting video streams from various websites (documentation)
 Streamlink is a CLI utility which pipes video streams from various services
 into a video player, such as VLC.
 The main purpose of streamlink is to avoid resource-heavy and unoptimized
 websites, while still allowing the user to enjoy various streamed content.
 .
 Streamlink is a fork of the Livestreamer project.
 .
 Please consider donating or paying for subscription services when they are
 available for the content you consume and enjoy.
 .
 This package contains the Streamlink usage, API and plugins
 documentation in HTML format.

Package: streamlink
Section: video
Architecture: all
Depends: ${misc:Depends},
  ${python3:Depends},
  python3-streamlink (= ${source:Version})
Suggests: vlc | mpv | mplayer
Description: CLI for extracting video streams from various websites to a video player
 Streamlink is a CLI utility which pipes video streams from various services
 into a video player, such as VLC.
 The main purpose of streamlink is to avoid resource-heavy and unoptimized
 websites, while still allowing the user to enjoy various streamed content.
 .
 Streamlink is a fork of the Livestreamer project.
 .
 Please consider donating or paying for subscription services when they are
 available for the content you consume and enjoy.

=== debian/rules ===
#! /usr/bin/make -f

# Disable internet access
export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

# Fix pytest order which need rootdir to be set where the tests folder is
# as pytest's nodeid is relative to the rootdir and upstream use that to order
# tests.
# Also a cache is created in the rootdir, explicitly keep it at the original
# location.
# See also: https://github.com/streamlink/streamlink/pull/5888
export PYBUILD_TEST_ARGS=--rootdir=. -o cache_dir=$(CURDIR)/.pytest_cache

%:
	dh $@ --buildsystem=pybuild

# Add LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 to have reproducible builds
#   sphinx: some strings are localized, see #998059
#   lxml: lxml crashes when LC_ALL uses special encodings (running
#         reprotest would cause a segfault).
export LC_ALL=C.UTF-8
export LANGUAGE=C.UTF-8

override_dh_auto_build:
	PYTHONPATH=$(CURDIR)/src make --directory=docs html man
	sed -i 's/^\.ft C$$/.ft CW/' docs/_build/man/streamlink.1
	dh_auto_build

# Explicitly uses CHANGELOG.md instead of docs/changelog.md (the default
# file used by dh_installchangelogs)
override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

# Needed to prevent docs/changelog.html from being compressed
override_dh_compress:
	dh_compress -X.html

override_dh_link:
	dh_link
	jdupes -rl debian/python3-streamlink-doc/usr/share/doc/python3-streamlink/html

# Needed to correctly include non-windows dependencies
override_dh_python3:
	dh_python3 --depends-section=':platform_system != "Windows"'

=== debian/tests/control ===
# Run unit tests against installed streamlink package
Test-Command: PYTHONPATH=/usr/share/streamlink pytest-3
Depends: streamlink,
 python3-freezegun,
 python3-pytest,
 python3-pytest-trio,
 python3-requests-mock,
 python3-setuptools

# Test streamlink against a generated on-disk HLS stream
Test-Command: sh debian/tests/do-test.sh streamlink && sh debian/tests/check_manpage.sh streamlink
Depends: streamlink, openssl, bsdmainutils, man-db
Restrictions: allow-stderr

# Test doc package
Test-Command: bash debian/tests/check_docs.sh
Depends: bash, python3-streamlink-doc, doc-base
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/" \
  https://api.github.com/repos/streamlink/streamlink/releases/latest \
  https://github.com/streamlink/streamlink/releases/download/(?:\d[\d.]+)/streamlink-(\d[\d.]+)\.tar\.gz

## streamlink 8.0.0

=== docs/Makefile ===
--- 
+++ 
@@ -8,10 +8,21 @@
 DOCSDIR       = .
 BUILDDIR      = _build
 
+# Set to a non-empty value to hide the "Thank you" section on the index page
+NO_ACKNOWLEDGEMENTS =
+# Set to a non-empty value to disable the "Intersphinx" extension
+NO_INTERSPHINX =
+# Set to a non-empty value to disable the embedded GitHub buttons in the HTML output's sidebar
+NO_GITHUB_BUTTONS =
+
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)
+SPHINXTAGS      =
+SPHINXTAGS      += $(if $(NO_ACKNOWLEDGEMENTS), -t no_acknowledgements)
+SPHINXTAGS      += $(if $(NO_INTERSPHINX), -t no_intersphinx)
+SPHINXTAGS      += $(if $(NO_GITHUB_BUTTONS), -t no_github_buttons)
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SPHINXTAGS)
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)

=== debian/changelog ===
streamlink (8.0.0-1) unstable; urgency=medium

  * New upstream version 8.0.0
  * d/patches: update patches
  * d/patches: replace intersphinx removal patch with NO_INTERSPHINX
    env var at build
  * d/control: add new build dependency on python3-pytest-cov
  * d/control: remove Rules-Requires-Root=no field which is the default
    since trixie

 -- Alexis Murzeau <amubtdx@gmail.com>  Mon, 24 Nov 2025 23:17:01 +0100

=== debian/control ===
--- 
+++ 
@@ -33,12 +33,12 @@
 # Tests dependencies
  python3-freezegun,
  python3-pytest,
+ python3-pytest-cov,
  python3-pytest-trio,
  python3-requests-mock
 Homepage: https://streamlink.github.io/
 Vcs-Git: https://salsa.debian.org/amurzeau/streamlink.git
 Vcs-Browser: https://salsa.debian.org/amurzeau/streamlink
-Rules-Requires-Root: no
 
 Package: python3-streamlink
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,9 @@
 export LC_ALL=C.UTF-8
 export LANGUAGE=C.UTF-8
 
+# Build docs with intersphinx disabled as it requires internet
 override_dh_auto_build:
-	PYTHONPATH=$(CURDIR)/src make --directory=docs html man
+	PYTHONPATH=$(CURDIR)/src make --directory=docs NO_INTERSPHINX=1 html man
 	sed -i 's/^\.ft C$$/.ft CW/' docs/_build/man/streamlink.1
 	dh_auto_build

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Depends: streamlink,
  python3-freezegun,
  python3-pytest,
+ python3-pytest-cov,
  python3-pytest-trio,
  python3-requests-mock,
  python3-setuptools

## streamlink 8.1.0

=== debian/changelog ===
streamlink (8.1.0-1) unstable; urgency=medium

  * New upstream version 8.1.0
  * d/patches: update patches
  * Revert "d/control: add new build dependency on python3-pytest-cov"

 -- Alexis Murzeau <amubtdx@gmail.com>  Mon, 15 Dec 2025 20:14:44 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
 # Tests dependencies
  python3-freezegun,
  python3-pytest,
- python3-pytest-cov,
  python3-pytest-trio,
  python3-requests-mock
 Homepage: https://streamlink.github.io/

## streamlink 8.1.2

=== debian/changelog ===
streamlink (8.1.2-1) unstable; urgency=medium

  * New upstream version 8.1.2
  * d/copyright: update copyright years
  * d/patches: update patches

 -- Alexis Murzeau <amubtdx@gmail.com>  Mon, 26 Jan 2026 20:41:51 +0100

## streamlink 8.2.0

=== debian/changelog ===
streamlink (8.2.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 19 Feb 2026 21:05:44 +0100

streamlink (8.2.0-1) unstable; urgency=medium

  * New upstream version 8.2.0
  * d/patches: backport test fix from upstream
  * d/control: update to standard version 4.7.3

 -- Alexis Murzeau <amubtdx@gmail.com>  Mon, 16 Feb 2026 21:30:45 +0100

streamlink (8.1.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * d/patches: update patches

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 18 Dec 2025 23:57:12 +0100

streamlink (8.0.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * d/create_rfs_mail.sh: update differences with unstable
  * d/patches: add compatibility with pytest 8.3 on Trixie

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 04 Dec 2025 19:44:09 +0100

streamlink (7.6.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * d/README.source: update stable distribution to trixie instead of bookworm
  * d/salsa-ci.yml: enable diffoscope for reprotest

 -- Alexis Murzeau <amubtdx@gmail.com>  Thu, 25 Sep 2025 20:26:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: streamlink
 Maintainer: Alexis Murzeau <amubtdx@gmail.com>
 Section: python
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
